iwl3945.ko missing

Bug #144501 reported by Matteo Collina on 2007-09-24
12
Affects Status Importance Assigned to Milestone
linux-ubuntu-modules-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

In this question https://answers.launchpad.net/ubuntu/+source/linux-source-2.6.22/+question/13022 some people said that the iwl3945.ko was in Gutsy.
I think it should be in this package because there is the ucode for that driver.

root@matteo-laptop:~# modprobe -l | grep iwl
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211/origin/net/mac80211/rc80211_simple.ko
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211/origin/net/mac80211/iwlwifi_mac80211.ko
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/iwlwifi/origin/iwl4965.ko

matteo@matteo-laptop:~$ locate iwlwifi
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/iwlwifi
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/iwlwifi/origin
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/iwlwifi/origin/iwl4965.ko
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211/origin
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211/origin/net
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211/origin/net/mac80211
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211/origin/net/mac80211/iwlwifi_mac80211.ko
/lib/modules/2.6.22-12-generic/ubuntu/wireless/iwlwifi/mac80211/origin/net/mac80211/rc80211_simple.ko
/lib/firmware/2.6.22-12-generic/iwlwifi-4965-1.ucode
/lib/firmware/2.6.22-12-generic/iwlwifi-3945-1.ucode
/lib/firmware/2.6.22-12-generic/iwlwifi-3945.ucode
/lib/firmware/2.6.22-12-generic/iwlwifi-4965.ucode

Tim Gardner (timg-tpi) wrote :

Gutsy lum commit 3feaf7e328662324dec24e16d82b3d291f82a48b enables the build of iwlwifi, but modifies the source such that this module is not automatically loaded, e.g., removes MODULE_DEVICE_TABLE from iwl-3945.c

Changed in linux-ubuntu-modules-2.6.22:
assignee: nobody → timg-tpi
importance: Undecided → Medium
status: New → Fix Committed
Nicolò Chieffo (yelo3) wrote :

the problem is not about the automatic modprobe of the module, but the module iwl3945.ko is *not* in the package.
Did someone forget to put it in linux-ubuntu-modules-2.6.22-12-generic?

Kyle McMartin (kyle) wrote :

linux-ubuntu-modules-2.6.22 (2.6.22-12.32) gutsy; urgency=low

  [Ben Collins]

  * snd-hda-intel: Patch to fix regression in sigmatel
    - LP: #135833

  [Kyle McMartin]

  * update unionfs to 2.1.4

  [Tim Gardner]

  * Enable iwl3945
    - LP: #144501
  * Rename rc80211_simple to iwlwifi_rc80211_simple
    - LP: #144079

 -- Kyle McMartin <email address hidden> Mon, 24 Sep 2007 21:56:44 -0400

Changed in linux-ubuntu-modules-2.6.22:
status: Fix Committed → Fix Released
Chad Bernier (berniercr) wrote :

nice try kyle, but that doesn't work.

[41600.328000] ieee80211_init: failed to initialize WME (err=-17)
[41600.356000] iwl3945: Unknown symbol iwlwifi_ieee80211_rx_irqsafe
[41600.356000] iwl3945: Unknown symbol iwlwifi_ieee80211_get_hdrlen
[41600.356000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_tx_status_irqsafe
[41600.356000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_stop_queues
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_tx_status
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_rate_control_unregister
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_stop_queue
[41600.360000] iwl3945: Unknown symbol iwlwifi_sta_info_put
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_free_hw
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_beacon_get
[41600.360000] iwl3945: Unknown symbol iwlwifi_sta_info_get
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_alloc_hw
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_scan_completed
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_register_hw
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_wake_queue
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_rate_control_register
[41600.364000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_register_hwmode
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_unregister_hw
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_start_queues

Tim Gardner (timg-tpi) wrote :

Wasn't Kyle. Twas me.

sudo modprobe -r ipw3945
sudo modprobe iwl3945

The module loads fine for me. Network-manager, on the other hand, has some problems. But thats a different bug report.

Chad Bernier (berniercr) wrote :

nice try kyle, but that doesn't work.

[41600.328000] ieee80211_init: failed to initialize WME (err=-17)
[41600.356000] iwl3945: Unknown symbol iwlwifi_ieee80211_rx_irqsafe
[41600.356000] iwl3945: Unknown symbol iwlwifi_ieee80211_get_hdrlen
[41600.356000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_tx_status_irqsafe
[41600.356000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_stop_queues
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_tx_status
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_rate_control_unregister
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_stop_queue
[41600.360000] iwl3945: Unknown symbol iwlwifi_sta_info_put
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_free_hw
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_beacon_get
[41600.360000] iwl3945: Unknown symbol iwlwifi_sta_info_get
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_alloc_hw
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_scan_completed
[41600.360000] iwl3945: Unknown symbol iwlwifi_ieee80211_register_hw
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_wake_queue
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_rate_control_register
[41600.364000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_register_hwmode
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_unregister_hw
[41600.364000] iwl3945: Unknown symbol iwlwifi_ieee80211_start_queues

Tim Gardner (timg-tpi) wrote :

Please attach (do not paste) the output of the following commands:

dpkg -l | grep linux-ubuntu-modules
cat /proc/version_signature
ls -l /lib/modules/`uname -r`/ubuntu/wireless/iwlwifi/iwlwifi/origin
ls -l /lib/modules/`uname -r`/ubuntu/wireless/iwlwifi/mac80211/origin/net/mac80211

Chad Bernier (berniercr) wrote :

I don't use ipw3945, I use ipw2200. is iwl3945 still a replacement for it? Sorry about that double post, it must have been post data or something.

how come modules is at version 32 and the kernel is at version 39?

vronp (dougjames) wrote :

Tim,

Can I post some items here? I did a Google search and this is the ONLY place listed where I got a match on some error messages.

Basically, I am getting the same list of errors as Chad. I have a Dell laptop with the 4965 chip. Previously, I have been compiling the stuff on the www.intellinuxwireless.org site and installing it. The 4965 card has worked fine.

Well, with the latest Gutsy kernel releases, I've read that this stuff is built in. So, I'm trying to figure out why it's not working in my case.

I'm wondering if I've got remnants of the intellinuxwireless stuff that is hosing up my configuration or if this is a real bug. I'm hoping to get some help from an expert. - thanks, dave

I'll post some info per your request to Chad:

$ cat /proc/version_signature
Ubuntu 2.6.22-13.40-generic

 dpkg -l |grep linux-ubuntu-modules
rc linux-ubuntu-modules-2.6.22-10-generic 2.6.22-10.25 Ubuntu supplied Linux modules for version 2.
rc linux-ubuntu-modules-2.6.22-11-generic 2.6.22-11.28 Ubuntu supplied Linux modules for version 2.
ii linux-ubuntu-modules-2.6.22-12-generic 2.6.22-12.32 Ubuntu supplied Linux modules for version 2.
ii linux-ubuntu-modules-2.6.22-13-generic 2.6.22-13.33 Ubuntu supplied Linux modules for version 2.

 ls -l /lib/modules/`uname -r`/ubuntu/wireless/iwlwifi/iwlwifi/origin
total 224
-rw-r--r-- 1 root root 105288 2007-10-05 08:03 iwl3945.ko
-rw-r--r-- 1 root root 119380 2007-10-05 08:03 iwl4965.ko

 ls -l /lib/modules/`uname -r`/ubuntu/wireless/iwlwifi/mac80211/origin/net/mac80211
total 212
-rw-r--r-- 1 root root 203980 2007-10-05 08:03 iwlwifi_mac80211.ko
-rw-r--r-- 1 root root 9256 2007-10-05 08:03 iwlwifi_rc80211_simple.ko

vronp (dougjames) on 2007-10-06
Changed in linux-ubuntu-modules-2.6.22:
status: Fix Released → New
vronp (dougjames) wrote :

Chad,

How do you determine the module version number?

thanks,
Dave

vronp (dougjames) on 2007-10-06
Changed in linux-ubuntu-modules-2.6.22:
status: New → Fix Released
Chad Bernier (berniercr) wrote :

just look at them. you kernel is 2.6.22-13.40 and your modules are 2.6.22-13.33

anyways, the modules load for me now, but don't bind to my network card. I guess I'm stuck with ipw2200? how do i get a module for ipw2200 that doesn't cause sleep problems?

vronp (dougjames) wrote :

Thanks Chad.

I think a better way for me to have phrased the question is:

How does one determine the version of a kernel object (ko) file.

I was curious to know which version of iwl4965.ko is being released so I can compare it to the versions on the intellinuxwireless.org web site.

Matthew Garrett (mjg59) wrote :

iwl3945 doesn't drive ipw2200 hardware.

loko (arph) wrote :

This bug seems not to be completely solved.

i did all of this:

sudo modprobe -r ipw3945
sudo modprobe -r ieee80211
sudo modprobe -r ieee80211_crypt
sudo modprobe mac80211
sudo modprobe iwl3945

but i get:
 sudo modprobe iwl3945
FATAL: Error inserting iwl3945 (/lib/modules/2.6.22-14-generic/ubuntu/wireless/iwlwifi/iwlwifi/origin/iwl3945.ko): Unknown symbol in module, or unknown parameter (see dmesg)

dmesg:

[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_rx_irqsafe
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_get_hdrlen
[ 112.528000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_tx_status_irqsafe
[ 112.528000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_stop_queues
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_tx_status
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_rate_control_unregister
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_stop_queue
[ 112.528000] iwl3945: Unknown symbol iwlwifi_sta_info_put
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_free_hw
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_beacon_get
[ 112.528000] iwl3945: Unknown symbol iwlwifi_sta_info_get
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_alloc_hw
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_scan_completed
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_register_hw
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_wake_queue
[ 112.528000] iwl3945: Unknown symbol iwlwifi_ieee80211_rate_control_register
[ 112.528000] iwl3945: Unknown symbol iwlwifi_iwlwifi_ieee80211_register_hwmode
[ 112.532000] iwl3945: Unknown symbol iwlwifi_ieee80211_unregister_hw
[ 112.532000] iwl3945: Unknown symbol iwlwifi_ieee80211_start_queues

Changed in linux-ubuntu-modules-2.6.22:
status: Fix Released → Confirmed
loko (arph) wrote :

sry, i just saw that the kernel is version 2.6.22-14.46, but modules are version 2.6.22-14.37.

with a fresh gutsy install from the final version (20.10.2007). what a pitty that this does not work.

John Fettig (jfettig) wrote :

I get the same unresolved symbols in iwl3945.ko in the amd64 version of gutsy. How long until a fix is released?

slazZ (slazz) wrote :

Instead of loading the module "mac80211", you can load the module "iwlwifi_mac80211"
Make sure you unload "mac80211" before loading "iwlwifi_mac80211"
So:
sudo modprobe -r ipw3945
sudo modprobe -r ieee80211
sudo modprobe -r ieee80211_crypt
sudo modprobe -r mac80211
sudo modprobe iwlwifi_mac80211
sudo modprobe iwl3945

Tim Gardner (timg-tpi) wrote :

Update according to instructions in https://bugs.edge.launchpad.net/ubuntu/+source/linux-ubuntu-modules-2.6.22/+bug/144621. You will also have to blacklist ipw3965 in /etc/modprobe.d/blacklist

Changed in linux-ubuntu-modules-2.6.22:
milestone: ubuntu-7.10-beta → gutsy-updates
status: Confirmed → Fix Committed
Tim Gardner (timg-tpi) wrote :

iwl3945 is the only driver in Hardy for this hardware. ipw3945 is fully deprecated.

Changed in linux-ubuntu-modules-2.6.22:
assignee: timg-tpi → nobody
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers